# Uses of Class
org.codehaus.janino.util.ClassFile.AttributeInfo

Packages that use ClassFile.AttributeInfo
Package
Description
org.codehaus.janino.util
Application-independent helper classes.

## Uses of ClassFile.AttributeInfo in org.codehaus.janino.util

Subclasses of ClassFile.AttributeInfo in org.codehaus.janino.util
Modifier and Type
Class
Description
`static class`
`ClassFile.AnnotationDefaultAttribute`
Representation of an `AnnotationDefault` attribute (see JVMS8 4.7.22).
`static class`
`ClassFile.AnnotationsAttribute`
Representation of a `Runtime[In]visibleAnnotations` attribute (see JVMS8 4.7.16/17).
`static class`
`ClassFile.CodeAttribute`
Representation of an unmodifiable `Code` attribute, as read from a class file.
`static class`
`ClassFile.ConstantValueAttribute`
Representation of a `ConstantValue` attribute (see JVMS 4.7.2).
`static class`
`ClassFile.DeprecatedAttribute`
Representation of a `Deprecated` attribute (see JVMS 4.7.10).
`static class`
`ClassFile.ExceptionsAttribute`
Representation of an `Exceptions` attribute (see JVMS 4.7.4).
`static class`
`ClassFile.InnerClassesAttribute`
Representation of an `InnerClasses` attribute (see JVMS 4.7.5).
`static class`
`ClassFile.LineNumberTableAttribute`
Representation of a `LineNumberTable` attribute (see JVMS 4.7.8).
`static class`
`ClassFile.LocalVariableTableAttribute`
Representation of a `LocalVariableTable` attribute (see JVMS 4.7.9).
`static class`
`ClassFile.SignatureAttribute`
Representation of a `Signature` attribute (see JVMS 4.7.9).
`static class`
`ClassFile.SourceFileAttribute`
Representation of a `SourceFile` attribute (see JVMS 4.7.7).
`static class`
`ClassFile.StackMapTableAttribute`
Representation of an unmodifiable `StackMapTable` attribute, as read from a class file.
`static class`
`ClassFile.SyntheticAttribute`
Representation of a `Synthetic` attribute (see JVMS 4.7.6).
Methods in org.codehaus.janino.util that return ClassFile.AttributeInfo
Modifier and Type
Method
Description
`ClassFile.AttributeInfo[]`
ClassFile.FieldInfo.`getAttributes()`
`ClassFile.AttributeInfo[]`
ClassFile.MethodInfo.`getAttributes()`
Methods in org.codehaus.janino.util with parameters of type ClassFile.AttributeInfo
Modifier and Type
Method
Description
`void`
ClassFile.FieldInfo.`addAttribute(ClassFile.AttributeInfo attribute)`
Adds the attribute to this field.
`void`
ClassFile.MethodInfo.`addAttribute(ClassFile.AttributeInfo attribute)`
Adds the attribute to this method.
Constructors in org.codehaus.janino.util with parameters of type ClassFile.AttributeInfo
Modifier
Constructor
Description
``
`CodeAttribute(short attributeNameIndex, short maxStack, short maxLocals, byte[] code, ClassFile.CodeAttribute.ExceptionTableEntry[] exceptionTableEntries, ClassFile.AttributeInfo[] attributes)`
Constructor parameters in org.codehaus.janino.util with type arguments of type ClassFile.AttributeInfo
Modifier
Constructor
Description
``
`FieldInfo(short accessFlags, short nameIndex, short descriptorIndex, List<ClassFile.AttributeInfo> attributes)`
``
`MethodInfo(short accessFlags, short nameIndex, short descriptorIndex, List<ClassFile.AttributeInfo> attributes)`
Initializes the "method_info" structure.